TextToSpeechGetStatus(3dtk)

Name

TextToSpeechGetStatus - Returns the status of one or more text-to-speech system parameters.

Syntax
    MMRESULT TextToSpeechGetStatus (LPTTS_HANDLE_T phTTS,
                                   LPDWORD dwIdentifier[ ],
                                   LPDWORD dwStatus[ ],
                                   DWORD dwNumberOfStatusValues)

Parameters

LPTTS_HANDLE_T phTTS
    Specifies an opened text-to-speech handle.

LPDWORD dwIdentifier[ ]
    Specifies an array of values of type DWORD that specify TTS parameters for which status values are to be returned in the dwStatus[] array. These values can be any of the constants defined in include file ttsapi.h:

Constant | Description
INPUT_CHARACTER_COUNT
 | Returns a count of characters that the text-to-speech system is currently processing.
STATUS_SPEAKING
 | The status value is TRUE if audio samples are playing and FALSE if no audio sample is playing.
WAVE_OUT_DEVICE_ID
 | The current wave output device ID is returned.

LPDWORD dwStatus[ ]
    Specifies an array of type DWORD that is to return status values corresponding to each of the identifiers in the dwIdentifier[] array.

DWORD dwNumberOfStatusValues
    Specifies the number of entries to return.

Description

This function returns the status of one or more text-to-speech system parameters.

The STATUS_SPEAKING status identifier has no meaning if the application is sending speech to a wave file or sending speech to memory.

Return Values

This function returns a value of type MMRESULT. The value is zero if the function is successful. The return value is one of the following constants:

Constant | Description
MMSYSERR_NOERROR
 | Normal successful completion (zero).
MMSYSERR_INVALPARAM
 | An invalid parameter was passed.
MMSYSERR_ERROR
 | Error obtaining status values.
MMSYSERR_INVALHANDLE
 | The text-to-speech handle was invalid.